GET
/v1/platform/taxonomy-mappings/templates/{templateId}GET /v1/platform/taxonomy-mappings/templates/{templateId}
Scopes: platform:taxonomy_mappings:read
Requires scope: platform:taxonomy_mappings:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
templateId | path | string | yes |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
template_id | string | no | |
name | string | no | |
description | string | no | |
direction | TaxonomyMappingDirection | no | |
channel_id | string | no | |
channel_name | string | no | |
category_id | string | no | |
category_name | string | no | |
mappings | TaxonomyMappingEntry[] | no | |
created_at | string<date-time> | no | |
created_by | string | no | |
updated_at | string<date-time> | no | |
updated_by | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/platform/taxonomy-mappings/templates/{templateId}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);